"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ERC1155 = void 0;
const wrappers_1 = require("../wrappers");
class ERC1155 {
    constructor(signer, config) {
        this.signer = signer;
        this.erc1155TokenContract = new wrappers_1.ERC1155Upgradeable__factory(signer).attach(config.lenderPoolAddress);
    }
    transfer(tokenId, to, amount, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const from = yield this.signer.getAddress();
            return this.erc1155TokenContract.safeTransferFrom(from, to, tokenId, amount, '0x', Object.assign({}, options));
        });
    }
    transferFrom(tokenId, from, to, amount, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.erc1155TokenContract.safeTransferFrom(from, to, tokenId, amount, '0x', Object.assign({}, options));
        });
    }
    balanceOf(tokenId, user) {
        return __awaiter(this, void 0, void 0, function* () {
            return (yield this.erc1155TokenContract.balanceOf(user, tokenId)).toString();
        });
    }
}
exports.ERC1155 = ERC1155;
//# sourceMappingURL=erc1155.js.map