import { Signer, ContractTransaction } from 'ethers';
import { SublimeConfig } from '../types/sublimeConfig';
import { TokenManager } from '../tokenManager';
import { Options as Overrides } from '../types/Types';
/**
 * @todo Repayment are part of pools and yet to be released
 */
export declare class RepaymentApi {
    private signer;
    private repayments;
    private tokenManager;
    constructor(signer: Signer, config: SublimeConfig, tokenManager: TokenManager);
    getInterestPerSecond(pool: string): Promise<string>;
    getInstalmentsCompleted(pool: string): Promise<string>;
    getInterestDueTillInstalmentDeadline(pool: string): Promise<string>;
    getNextInstalmentDeadline(pool: string): Promise<string>;
    getCurrentInstalmentInterval(pool: string): Promise<string>;
    getCurrentLoanInterval(pool: string): Promise<string>;
    isGracePenaltyApplicable(pool: string): Promise<boolean>;
    didBorrowerDefault(pool: string): Promise<boolean>;
    getInterestLeft(pool: string): Promise<string>;
    getInterestOverdue(pool: string): Promise<string>;
    repayAmount(pool: string, amount: string, options: Overrides): Promise<ContractTransaction>;
    repayPrincipal(pool: string, options?: Overrides): Promise<ContractTransaction>;
    getTotalRepaidAmount(pool: string): Promise<string>;
    getGracePeriodFraction(pool: string): Promise<string>;
}
