import { SublimeConfig } from '../../types/sublimeConfig';
import { ContractTransaction, Signer } from 'ethers';
import { TokenManager } from '../../tokenManager';
import { Options as Overrides, StrategyType } from '../../types/Types';
export declare class SavingAccountsEthUtils {
    private savingsAccountEthUtils;
    private tokenManager;
    private config;
    /**
     * @param signer
     * @param config
     * @param tokenManager
     */
    constructor(signer: Signer, config: SublimeConfig, tokenManager: TokenManager);
    /**
     * @description Use this function to deposit ETH to savings account directly
     * @param strategy strategy
     * @param amount amount of ETH to deposit
     * @param options transaction options
     * @returns
     */
    depositEthToSavingsAccount(strategy: StrategyType, amount: string, to: string, options?: Overrides): Promise<ContractTransaction>;
}
