"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WrappedEth = void 0;
const bignumber_js_1 = require("bignumber.js");
const IWETH9__factory_1 = require("../../wrappers/factories/IWETH9__factory");
class WrappedEth {
    constructor(signer) {
        this.signer = signer;
    }
    convertToWrappedEth(wethContractAddress, amount, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const _amount = new bignumber_js_1.BigNumber(amount).multipliedBy(new bignumber_js_1.BigNumber(10).pow(18));
            return IWETH9__factory_1.IWETH9__factory.connect(wethContractAddress, this.signer).deposit(Object.assign(Object.assign({}, options), { value: _amount.toFixed(0) }));
        });
    }
    convertWethToEth(wethContractAddress, amount, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const _amount = new bignumber_js_1.BigNumber(amount).multipliedBy(new bignumber_js_1.BigNumber(10).pow(18));
            return IWETH9__factory_1.IWETH9__factory.connect(wethContractAddress, this.signer).withdraw(_amount.toFixed(0), Object.assign({}, options));
        });
    }
}
exports.WrappedEth = WrappedEth;
//# sourceMappingURL=wrappedEth.js.map