import { BigNumber } from 'bignumber.js';
import { CreditLineStatus, CreditLineState, CreditLineExternalData, CreditLineGlobals } from '../types/Types';
import { EmulatorHelper } from './Helpers';
export declare class CreditLineEmulator extends EmulatorHelper {
    creditLineState: CreditLineState;
    externalData: CreditLineExternalData;
    globals: CreditLineGlobals;
    constructor(creditLineState: CreditLineState, externalData: CreditLineExternalData, globals: CreditLineGlobals);
    getId(): string;
    withdrawableCollateral(): BigNumber;
    calculateTotalCollateralTokens(): BigNumber;
    private _calculateTotalCollateralTokens;
    calculateCurrentDebt(): BigNumber;
    calculateInterestAccrued(): BigNumber;
    private calculateInterest;
    calculateBorrowableAmount(): BigNumber;
    borrowTokensToLiquidate(): BigNumber;
    private _borrowTokensToLiquidate;
    private _equivalentCollateral;
    calculateCurrentCollateralRatio(): [BigNumber, BigNumber];
    getPrincipal(): BigNumber;
    getCreditLimit(): BigNumber;
    getStatus(): CreditLineStatus;
    createdAt(): BigNumber;
    borrowAsset(): string;
    collateralAsset(): string;
    borrowRate(): BigNumber;
    idealCollateralRatio(): BigNumber;
    autoLiquidate(): boolean;
    lender(): string;
    borrower(): string;
    lastPrincipalUpdateTime(): BigNumber;
    requestByLender(): boolean;
    borrowAssetStrategy(): string;
    collateralAssetStrategy(): string;
    totalInterestRepaid(): BigNumber;
}
