import { BigNumber } from 'bignumber.js';
import { LenderPoolState, DataFromPooledCreditLines, LenderPoolExternalData, LenderPerPool, LenderPerPoolPrincipalWithdrawable } from '../types/Types';
import { EmulatorHelper } from './Helpers';
export declare class LenderPoolEmulator extends EmulatorHelper {
    private lenderPoolState;
    private lenderPoolExternalData;
    private dataFromPooledCreditLines;
    private lenderData;
    private borrowerInterestData;
    private yieldInterestData;
    private lenderPerPool;
    private totalSupply;
    constructor(lenderPoolState: LenderPoolState, lenderPoolExternalData: LenderPoolExternalData, dataFromPooledCreditLines: DataFromPooledCreditLines, lendersPerPool: LenderPerPool[]);
    getLenderBalance(lenderAddress: string): BigNumber;
    getLenderInterest(lenderAddress: string): BigNumber;
    calculatePrincipalWithdrawable(lenderAddress: string): BigNumber;
    private _calculateLenderInterest;
    private _calculatePrincipalWithdrawable;
    totalInterestWithdrawnByLender(lenderAddress: string): BigNumber;
    borrowerInterestSharesWithdrawnByLender(lenderAddress: string): BigNumber;
    yieldInterestSharesWithdrawnByLender(lenderAddress: string): BigNumber;
    getAllLenders(): LenderPerPool[];
    getPrincipalWithdrawableForAllLenders(): LenderPerPoolPrincipalWithdrawable[];
    getLenderData(lenderAddress: string): LenderPerPool;
    totalPrincipalSuppliedByLender(lenderAddress: string): BigNumber;
    withdrawableLiquidity(lenderAddress: string): BigNumber;
    withdrawableLiquidatedCollateral(lenderAddress?: string): BigNumber;
    private calculateWithdrawableLiquidity;
    private _updateInterestSharesToWithdraw;
}
