import { BigNumber } from 'bignumber.js';
import { CreditLineStatus, PooledCreditLineState, PooledCreditLineExternalData, LenderPoolState, LenderPerPool, Balance } from '../types/Types';
import { EmulatorHelper } from './Helpers';
import { LenderPoolEmulator } from './LenderPool';
export declare class PooledCreditLineEmulator extends EmulatorHelper {
    private pooledCreditLineState;
    private externalData;
    private lenderPoolState;
    private lenderPoolExternalData;
    private lendersPerPool;
    constructor(pooledCreditLineState: PooledCreditLineState, externalData: PooledCreditLineExternalData, lenderPoolState: LenderPoolState, lendersPerPool: LenderPerPool[]);
    getId(): string;
    getLenderPoolEmulator(): LenderPoolEmulator;
    withdrawableCollateral(): BigNumber;
    calculateInterestAccrued(): BigNumber;
    calculateCurrentDebt(): BigNumber;
    calculateTotalCollateralTokens(): BigNumber;
    private calculateInterest;
    getRequiredCollateral(_borrowTokennAmount: BigNumber): BigNumber;
    private _equivalentCollateral;
    collateralTokensToLiquidate(_borrowTokensToLiquidate: BigNumber): BigNumber;
    calculateBorrowableAmount(): BigNumber;
    calculateCurrentCollateralRatio(): BigNumber;
    getStatusAndUpdate(): CreditLineStatus;
    getStatus(): CreditLineStatus;
    getPrincipal(): BigNumber;
    getBorrowLimit(): BigNumber;
    totalAmountLent(): BigNumber;
    totalSupply(): BigNumber;
    borrowerAddress(): string;
    borrowRate(): BigNumber;
    idealCollateralratio(): BigNumber;
    borrowAsset(): string;
    collateralAsset(): string;
    createdAt(): BigNumber;
    startsAt(): BigNumber;
    endsAt(): BigNumber;
    defaultsAt(): BigNumber;
    lenderStrategy(): string;
    collateralStrategy(): string;
    gracePenaltyRate(): BigNumber;
    totalInterestRepaid(): BigNumber;
    lastPrincipalUpdateTime(): BigNumber;
    interestAccruedTillLastPrincipalUpdate(): BigNumber;
    totalLentAmount(): BigNumber;
    minBorrowAmount(): BigNumber;
    depositedCollateralInShares(): BigNumber;
    borrowerVerifier(): string;
    lenderVerifier(): string;
    ratioOfCollateralTokensVsBorrowTokensPrice(): Balance;
}
