import { SublimeConnector } from './sublime';
import { SublimeSubgraph } from './subgraph';
import { TokenManager } from './tokenManager';
import { Provider } from '@ethersproject/providers';
import { Signer } from '@ethersproject/abstract-signer';
import { SublimeConfig } from './types/sublimeConfig';
/**
 * @class SublimeSdk
 */
export declare class SublimeSdk {
    private sublimeConnector;
    private sublimeSubgraph;
    private tokenManager;
    constructor(provider: Provider, signer: Signer, subgraphUrl: string, priceSubgraphUrl: string, config: SublimeConfig);
    /**
     *
     * @returns Instance of Sublime Connector
     */
    Connector(): SublimeConnector;
    /**
     *
     * @returns Instance of Subgraph Class used for querying
     */
    Subgraph(): SublimeSubgraph;
    /**
     *
     * @returns Instance of Token Manager
     */
    TokenManager(): TokenManager;
    /**
     * @returns types used in the SDK
     */
    static types(): any;
}
