"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SublimeSdk = void 0;
const sublime_1 = require("./sublime");
const subgraph_1 = require("./subgraph");
const tokenManager_1 = require("./tokenManager");
const types = __importStar(require("./types/Types"));
/**
 * @class SublimeSdk
 */
class SublimeSdk {
    constructor(provider, signer, subgraphUrl, priceSubgraphUrl, config) {
        const tokenManager = new tokenManager_1.TokenManager(signer, priceSubgraphUrl);
        this.sublimeConnector = new sublime_1.SublimeConnector(provider, signer, config, tokenManager);
        this.sublimeSubgraph = new subgraph_1.SublimeSubgraph(subgraphUrl, signer, tokenManager, config);
        this.tokenManager = tokenManager;
    }
    /**
     *
     * @returns Instance of Sublime Connector
     */
    Connector() {
        return this.sublimeConnector;
    }
    /**
     *
     * @returns Instance of Subgraph Class used for querying
     */
    Subgraph() {
        return this.sublimeSubgraph;
    }
    /**
     *
     * @returns Instance of Token Manager
     */
    TokenManager() {
        return this.tokenManager;
    }
    /**
     * @returns types used in the SDK
     */
    static types() {
        return types;
    }
}
exports.SublimeSdk = SublimeSdk;
//# sourceMappingURL=index.js.map