"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPool = void 0;
const helpers_1 = require("../helpers");
function getPool(url, poolId) {
    return __awaiter(this, void 0, void 0, function* () {
        const allData = [];
        const data = JSON.stringify({
            query: `{
      pools(where:{id:"${poolId}"}) {
        id,
        borrowRate,
      lentAmount,
      nextRepayTime,
      borrowAsset,
      collateralAsset,
      loanStatus
      }
    }`,
        });
        const options = {
            url,
            headers: { 'Content-Type': 'application/json' },
            body: data,
        };
        const result = yield (0, helpers_1.fetchData)(options);
        // console.log({result: result.data.pools});
        allData.push(...result.data.pools);
        // console.log({allData})
        return allData;
    });
}
exports.getPool = getPool;
//# sourceMappingURL=getPool.js.map