import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { PooledCreditLinesLenderOverview } from './PooledCreditLinesLenderOverview';
import { InterestDueDetails } from '../types/Types';
export declare class CreditLineInterestCalculator extends PooledCreditLinesLenderOverview {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    getBorrowerInterestDueForAllCreditLines(borrower: string): Promise<InterestDueDetails>;
    getBorrowerInterestDueForSpecificCreditLines(borrower: string, creditLines: string[]): Promise<InterestDueDetails>;
    private transformToInterestDueDetail;
    private transformToInterestDuePerStrategy;
    private transformToInterestDuePerToken;
    private transformToInterestDue;
    private transformToInterestDuePerTokenPerStrategy;
    private calculateInterest;
}
