import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { UserMetaCalls } from './UserMeta';
import { LenderCollectiveData, BorrowerCollectiveData, LenderTotalCreditCommited, InterestCollectedByLender, BorrowerAvailableCredit } from '../types/Types';
export declare class CreditLinesOverviewCall extends UserMetaCalls {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    /**
     * @description Total Amount put by a lender in all credit lines
     * @param user
     * @returns
     */
    getLenderCreditLineCollective(user: string): Promise<LenderCollectiveData>;
    /**
     * @description Amount borrowed and repaid by a borrower accross all credit lines
     * @summary Time based interest calculation is pending. (amountRepaid + outstandingInterest)
     * @param user
     * @returns
     */
    getBorrowerCreditLineCollective(user: string): Promise<BorrowerCollectiveData>;
    getTotalAmountCommitedByLenderToCreditLines(lender: string): Promise<LenderTotalCreditCommited>;
    getInterestCollectedByLenderFromCreditLines(lender: string): Promise<InterestCollectedByLender>;
    getAvaialbleBorrowLimitOfBorrowerOfCreditLines(borrower: string): Promise<BorrowerAvailableCredit>;
    private transformToInterestCollectedByLender;
    private transformToInterestCollectedByLenderPerToken;
    private transformToLenderTotalCredit;
    private transformToLenderTotalCreditPerToken;
    private transformToLenderTotalCreditPerStrategy;
    private transformToLenderCollectivePerToken;
    private transformToBorrowerCollectivePerToken;
    private transformToLenderCollectivePerStrategy;
    private transformToBorrowerCollectivePerStrategy;
    private TransformToLenderCollective;
    private TransformToBorrowerCollective;
    private tranformToLenderCollectivePerTokenPerStrategy;
    private tranformToBorrowerCollectivePerTokenPerStrategy;
    private transformToBorrowerAvailableCredit;
    private transformToBorrowerAvailableCreditPerToken;
}
