import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { CreditLinesOverviewCall } from './CreditLineOverview';
import { PooledCreditLineBorrowerData, PclsToTakeAction } from '../types/Types';
export declare class PooledCreditLinesBorrowerOverviewCall extends CreditLinesOverviewCall {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    getPooledCreditLineCollectiveOfBorrower(borrower: string): Promise<PooledCreditLineBorrowerData>;
    getLatestActionablePooledCreditLinesOfBorrower(borrower: string): Promise<PclsToTakeAction[]>;
    private transformToPooledCreditLineBorrowerData;
    private transformToPooledCreditLineBorrowerCollectivePerStrategy;
    private transformToPooledCreditLineBorrowerCollectivePerToken;
    private transformToPooledCreditLineBorrowerCollective;
    private transformToPooledCreditLineBorrowerCollectivePerTokenPerStrategy;
}
