import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { CreditLineInterestCalculator } from './CreditLineInterestCalculator';
import { InterestDueDetails } from '../types/Types';
export declare class PooledCreditLineInterestCalculator extends CreditLineInterestCalculator {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    getBorrowerInterestDueForAllPooledCreditLines(borrower: string): Promise<InterestDueDetails>;
    private transformToInterestDueDetailsForPcl;
    private transformToInterestDuePerStrategyForPcl;
    private transformToInterestDuePerTokenPcl;
    private transformToInterestDueForPcl;
    private transformToInterestDuePerTokenPerStrategyForPcl;
    private calculateInterestForPcl;
}
