import { PoolCalls } from './Pools';
import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { SavingAccountUserDetailDisplay, Allowances } from '../types/Types';
export declare class SavingsAccountCalls extends PoolCalls {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    getAllowances(address?: string): Promise<Allowances[]>;
    private transformToAllowances;
    /**
     *
     * @param address: address of the user to query
     * @description Returns savings account overview for a user address
     */
    getSavingsAccountOverview(address: string): Promise<SavingAccountUserDetailDisplay>;
    private newTransformToSavingsAccountUserDetails;
    private getAprData;
    private stackInternalBalanceByToken;
    private transformToSavingsAccountStrategyBalanceDisplay;
    private transformToInternalBalancePerTokenStrategy;
    /**
     * @param strategy
     * @@description calulcates the APR for a given strategy
     */
    private getAPR;
}
