"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.query = void 0;
const helpers_1 = require("../helpers");
function query(url, query) {
    return __awaiter(this, void 0, void 0, function* () {
        const options = {
            url,
            headers: { 'Content-Type': 'application/json' },
            body: query,
        };
        const result = yield (0, helpers_1.fetchData)(options);
        if (result.errors) {
            (0, helpers_1.print)(result.errors);
            throw new Error('Error while fetching data from subgraph');
        }
        else {
            return result.data;
        }
    });
}
exports.query = query;
//# sourceMappingURL=subgraph.js.map