import { Signer, BigNumberish, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { PooledCreditLine } from '../PooledCreditLine';
export declare class PooledCreditLine__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_lenderPool: string, _usdc: string, _priceOracle: string, _savingsAccount: string, _strategyRegistry: string, _verification: string, _maximumProtocolFeeFraction: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<PooledCreditLine>;
    getDeployTransaction(_lenderPool: string, _usdc: string, _priceOracle: string, _savingsAccount: string, _strategyRegistry: string, _verification: string, _maximumProtocolFeeFraction: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): PooledCreditLine;
    connect(signer: Signer): PooledCreditLine__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): PooledCreditLine;
}
